<?php

use App\Http\Controllers\Rewards\CreateRewardController;
use App\Http\Controllers\Rewards\ListRewardsController;
use App\Http\Controllers\Rewards\ListRewardsDetailsController;
use App\Http\Controllers\Rewards\DeleteRewardController;
use Illuminate\Support\Facades\Route;

Route::group(['prefix' => 'reward', 'as' => 'reward.'], function () {
    Route::post('/create', [CreateRewardController::class, 'create'])->name('create');
    Route::get('/list', [ListRewardsController::class, 'list'])->name('list');
    Route::get('/list/details', [ListRewardsDetailsController::class, 'list'])->name('list.details');
    Route::get('/list/details/{user_id}', [ListRewardsDetailsController::class, 'list'])->name('list.details.admin');
    Route::delete('/delete/{id}', [DeleteRewardController::class, 'delete'])->name('delete');
});
